com.mysql.jdbc

## Interface MySQLConnection

All Superinterfaces:
  java.sql.Connection, ConnectionProperties, java.sql.Wrapper

All Known Subinterfaces:
  JDBC4MySQLConnection

All Known Implementing Classes:
  ConnectionImpl, JDBC4Connection, JDBC4LoadBalancedMySQLConnection, LoadBalancedMySQLConnection

    public interface MySQLConnection
    extends Connection, ConnectionProperties

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

Methods
`void` `createNewIO(boolean isForReconnect)`
`void` `dumpTestcaseQuery(java.lang.String query)`
`Connection` `duplicate()`
`ResultSetInternalMethods` `execSQL(StatementImpl callingStatement, java.lang.String sql, int maxRows, Buffer packet, int resultSetType, int resultSetConcurrency, boolean streamResults, java.lang.String catalog, Field[] cachedMetadata)`
`ResultSetInternalMethods` `execSQL(StatementImpl callingStatement, java.lang.String sql, int maxRows, Buffer packet, int resultSetType, int resultSetConcurrency, boolean streamResults, java.lang.String catalog, Field[] cachedMetadata, boolean isBatch)`
`java.lang.String` `extractSqlFromPacket(java.lang.String possibleSqlQuery, Buffer queryPacket, int endOfQueryPacketPosition)`
`java.lang.StringBuffer` `generateConnectionCommentBlock(java.lang.StringBuffer buf)`
`int` `getActiveStatementCount()` Returns the number of statements active on this connection, which haven't been .close()d.
`int` `getAutoIncrementIncrement()` Returns the -session- value of 'auto_increment_increment' from the server if it exists, or '1' if not.
`CachedResultSetMetaData` `getCachedMetaData(java.lang.String sql)`
`java.util.Calendar` `getCalendarInstanceForSessionOrNew()`
`java.util.Timer` `getCancelTimer()`
`java.lang.String` `getCharacterSetMetadata()`
`SingleByteCharsetConverter` `getCharsetConverter(java.lang.String javaEncodingName)`
`java.lang.String` `getCharsetNameForIndex(int charsetIndex)`
`java.lang.String` `getConnectionAttributes()`
`java.util.TimeZone` `getDefaultTimeZone()`
`java.lang.String` `getErrorMessageEncoding()`
`ExceptionInterceptor` `getExceptionInterceptor()`
`java.lang.String` `getHost()`
`long` `getId()`
`long` `getIdleFor()` Reports how long this connection has been idle.
`MysqlIO` `getIO()`
`MySQLConnection` `getLoadBalanceSafeProxy()`
`com.mysql.jdbc.log.Log` `getLog()` Returns the log mechanism that should be used to log information from/for this Connection.
`int` `getMaxBytesPerChar(java.lang.Integer charsetIndex, java.lang.String javaCharsetName)`
`int` `getMaxBytesPerChar(java.lang.String javaCharsetName)`
`java.sql.Statement` `getMetadataSafeStatement()`
`int` `getNetBufferLength()`
`java.util.Properties` `getProperties()` Returns the parsed and passed in properties for this connection.
`boolean` `getRequiresEscapingEncoder()`
`java.lang.String` `getServerCharacterEncoding()` Returns the server's character set
`int` `getServerMajorVersion()`
`int` `getServerMinorVersion()`
`int` `getServerSubMinorVersion()`
`java.util.TimeZone` `getServerTimezoneTZ()` Returns the TimeZone that represents the configured timezone for the server.
`java.lang.String` `getServerVariable(java.lang.String variableName)`
`java.lang.String` `getServerVersion()`
`java.util.Calendar` `getSessionLockedCalendar()`
`java.lang.String` `getStatementComment()` Returns the comment that will be prepended to all statements sent to the server.
`java.util.List<StatementInterceptorV2>` `getStatementInterceptorsInstances()`
`java.lang.String` `getURL()`
`java.lang.String` `getUser()`
`java.util.Calendar` `getUtcCalendar()`
`void` `incrementNumberOfPreparedExecutes()`
`void` `incrementNumberOfPrepares()`
`void` `incrementNumberOfResultSetsCreated()`
`void` `initializeResultsMetadataFromCache(java.lang.String sql, CachedResultSetMetaData cachedMetaData, ResultSetInternalMethods resultSet)`
`void` `initializeSafeStatementInterceptors()`
`boolean` `isAbonormallyLongQuery(long millisOrNanos)`
`boolean` `isClientTzUTC()`
`boolean` `isCursorFetchEnabled()`
`boolean` `isProxySet()`
`boolean` `isReadInfoMsgEnabled()`
`boolean` `isReadOnly()`
`boolean` `isReadOnly(boolean useSessionStatus)`
`boolean` `isRunningOnJDK13()`
`boolean` `isServerTzUTC()`
`boolean` `lowerCaseTableNames()` Is the server configured to use lower-case table names only?
`void` `maxRowsChanged(Statement stmt)`
`void` `pingInternal(boolean checkForClosedConnection, int timeoutMillis)`
`void` `realClose(boolean calledExplicitly, boolean issueRollback, boolean skipLocalTeardown, java.lang.Throwable reason)`
`void` `recachePreparedStatement(ServerPreparedStatement pstmt)`
`void` `registerQueryExecutionTime(long queryTimeMs)`
`void` `registerStatement(Statement stmt)`
`void` `reportNumberOfTablesAccessed(int numTablesAccessed)`
`boolean` `serverSupportsConvertFn()`
`void` `setProxy(MySQLConnection proxy)`
`void` `setReadInfoMsgEnabled(boolean flag)`
`void` `setReadOnlyInternal(boolean readOnlyFlag)`
`void` `shutdownServer()` Used by MiniAdmin to shutdown a MySQL server
`boolean` `storesLowerCaseTableName()`
`void` `throwConnectionClosedException()`
`void` `transactionBegun()`
`void` `transactionCompleted()`
`void` `unregisterStatement(Statement stmt)`
`void` `unSafeStatementInterceptors()`
`void` `unsetMaxRows(Statement stmt)`
`boolean` `useAnsiQuotedIdentifiers()`
`boolean` `useMaxRows()`

### Methods inherited from interface com.mysql.jdbc.Connection

`abort, abortInternal, changeUser, checkClosed, clearHasTriedMaster, clientPrepareStatement, clientPrepareStatement, clientPrepareStatement, clientPrepareStatement, clientPrepareStatement, clientPrepareStatement, getConnectionMutex, getNetworkTimeout, getSchema, hasSameProperties, hasTriedMaster, initializeExtension, isInGlobalTx, isMasterConnection, isNoBackslashEscapesSet, isSameResource, isServerLocal, parserKnowsUnicode, ping, reportQueryTime, resetServerState, serverPrepareStatement, serverPrepareStatement, serverPrepareStatement, serverPrepareStatement, serverPrepareStatement, serverPrepareStatement, setFailedOver, setInGlobalTx, setNetworkTimeout, setPreferSlaveDuringFailover, setSchema, setStatementComment, supportsIsolationLevel, supportsQuotedIdentifiers, supportsTransactions, versionMeetsMinimum`

### Methods inherited from interface java.sql.Connection

`clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.mysql.jdbc.ConnectionProperties

`exposeAsXml, getAllowLoadLocalInfile, getAllowMultiQueries, getAllowNanAndInf, getAllowUrlInLocalInfile, getAlwaysSendSetIsolation, getAuthenticationPlugins, getAutoClosePStmtStreams, getAutoDeserialize, getAutoGenerateTestcaseScript, getAutoReconnectForPools, getAutoSlowLog, getBlobsAreStrings, getBlobSendChunkSize, getCacheCallableStatements, getCacheCallableStmts, getCachePreparedStatements, getCachePrepStmts, getCacheResultSetMetadata, getCacheServerConfiguration, getCallableStatementCacheSize, getCallableStmtCacheSize, getCapitalizeTypeNames, getCharacterSetResults, getClientCertificateKeyStorePassword, getClientCertificateKeyStoreType, getClientCertificateKeyStoreUrl, getClientInfoProvider, getClobberStreamingResults, getClobCharacterEncoding, getCompensateOnDuplicateKeyUpdateCounts, getConnectionCollation, getConnectionLifecycleInterceptors, getConnectTimeout, getContinueBatchOnError, getCreateDatabaseIfNotExist, getDefaultAuthenticationPlugin, getDefaultFetchSize, getDisabledAuthenticationPlugins, getDisconnectOnExpiredPasswords, getDontTrackOpenResources, getDumpMetadataOnColumnNotFound, getDumpQueriesOnException, getDynamicCalendars, getElideSetAutoCommits, getEmptyStringsConvertToZero, getEmulateLocators, getEmulateUnsupportedPstmts, getEnablePacketDebug, getEnableQueryTimeouts, getEncoding, getExceptionInterceptors, getExplainSlowQueries, getFailOverReadOnly, getFunctionsNeverReturnBlobs, getGatherPerfMetrics, getGatherPerformanceMetrics, getGenerateSimpleParameterMetadata, getGetProceduresReturnsFunctions, getHoldResultsOpenOverStatementClose, getIgnoreNonTxTables, getIncludeInnodbStatusInDeadlockExceptions, getIncludeThreadDumpInDeadlockExceptions, getIncludeThreadNamesAsStatementComment, getInitialTimeout, getInteractiveClient, getIsInteractiveClient, getJdbcCompliantTruncation, getJdbcCompliantTruncationForReads, getLargeRowSizeThreshold, getLoadBalanceAutoCommitStatementRegex, getLoadBalanceAutoCommitStatementThreshold, getLoadBalanceBlacklistTimeout, getLoadBalanceConnectionGroup, getLoadBalanceEnableJMX, getLoadBalanceExceptionChecker, getLoadBalancePingTimeout, getLoadBalanceSQLExceptionSubclassFailover, getLoadBalanceSQLStateFailover, getLoadBalanceStrategy, getLoadBalanceValidateConnectionOnSwapServer, getLocalSocketAddress, getLocatorFetchBufferSize, getLogger, getLoggerClassName, getLogSlowQueries, getLogXaCommands, getMaintainTimeStats, getMaxAllowedPacket, getMaxQuerySizeToLog, getMaxReconnects, getMaxRows, getMetadataCacheSize, getNetTimeoutForStreamingResults, getNoAccessToProcedureBodies, getNoDatetimeStringSync, getNoTimezoneConversionForTimeType, getNullCatalogMeansCurrent, getNullNamePatternMatchesAll, getOverrideSupportsIntegrityEnhancementFacility, getPacketDebugBufferSize, getPadCharsWithSpace, getParanoid, getParseInfoCacheFactory, getPasswordCharacterEncoding, getPedantic, getPinGlobalTxToPhysicalConnection, getPopulateInsertRowWithDefaultValues, getPreparedStatementCacheSize, getPreparedStatementCacheSqlLimit, getPrepStmtCacheSize, getPrepStmtCacheSqlLimit, getProcessEscapeCodesForPrepStmts, getProfilerEventHandler, getProfileSql, getProfileSQL, getPropertiesTransform, getQueriesBeforeRetryMaster, getQueryTimeoutKillsConnection, getReconnectAtTxEnd, getRelaxAutoCommit, getReportMetricsIntervalMillis, getRequireSSL, getResourceId, getResultSetSizeThreshold, getRetainStatementAfterResultSetClose, getRetriesAllDown, getRewriteBatchedStatements, getRollbackOnPooledClose, getRoundRobinLoadBalance, getRunningCTS13, getSecondsBeforeRetryMaster, getSelfDestructOnPingMaxOperations, getSelfDestructOnPingSecondsLifetime, getServerConfigCacheFactory, getServerTimezone, getSessionVariables, getSlowQueryThresholdMillis, getSlowQueryThresholdNanos, getSocketFactory, getSocketFactoryClassName, getSocketTimeout, getStatementInterceptors, getStrictFloatingPoint, getStrictUpdates, getTcpKeepAlive, getTcpNoDelay, getTcpRcvBuf, getTcpSndBuf, getTcpTrafficClass, getTinyInt1isBit, getTraceProtocol, getTransformedBitIsBoolean, getTreatUtilDateAsTimestamp, getTrustCertificateKeyStorePassword, getTrustCertificateKeyStoreType, getTrustCertificateKeyStoreUrl, getUltraDevHack, getUseAffectedRows, getUseBlobToStoreUTF8OutsideBMP, getUseColumnNamesInFindColumn, getUseCompression, getUseConfigs, getUseCursorFetch, getUseDirectRowUnpack, getUseDynamicCharsetInfo, getUseFastDateParsing, getUseFastIntParsing, getUseGmtMillisForDatetimes, getUseHostsInPrivileges, getUseInformationSchema, getUseJDBCCompliantTimezoneShift, getUseJvmCharsetConverters, getUseLegacyDatetimeCode, getUseLocalSessionState, getUseLocalTransactionState, getUseNanosForElapsedTime, getUseOldAliasMetadataBehavior, getUseOldUTF8Behavior, getUseOnlyServerErrorMessages, getUseReadAheadInput, getUseServerPreparedStmts, getUseServerPrepStmts, getUseSqlStateCodes, getUseSSL, getUseSSPSCompatibleTimezoneShift, getUseStreamLengthsInPrepStmts, getUseTimezone, getUseUltraDevWorkAround, getUseUnbufferedInput, getUseUnicode, getUseUsageAdvisor, getUtf8OutsideBmpExcludedColumnNamePattern, getUtf8OutsideBmpIncludedColumnNamePattern, getVerifyServerCertificate, getYearIsDateType, getZeroDateTimeBehavior, setAllowLoadLocalInfile, setAllowMultiQueries, setAllowNanAndInf, setAllowUrlInLocalInfile, setAlwaysSendSetIsolation, setAuthenticationPlugins, setAutoClosePStmtStreams, setAutoDeserialize, setAutoGenerateTestcaseScript, setAutoReconnect, setAutoReconnectForConnectionPools, setAutoReconnectForPools, setAutoSlowLog, setBlobsAreStrings, setBlobSendChunkSize, setCacheCallableStatements, setCacheCallableStmts, setCachePreparedStatements, setCachePrepStmts, setCacheResultSetMetadata, setCacheServerConfiguration, setCallableStatementCacheSize, setCallableStmtCacheSize, setCapitalizeDBMDTypes, setCapitalizeTypeNames, setCharacterEncoding, setCharacterSetResults, setClientCertificateKeyStorePassword, setClientCertificateKeyStoreType, setClientCertificateKeyStoreUrl, setClientInfoProvider, setClobberStreamingResults, setClobCharacterEncoding, setCompensateOnDuplicateKeyUpdateCounts, setConnectionCollation, setConnectionLifecycleInterceptors, setConnectTimeout, setContinueBatchOnError, setCreateDatabaseIfNotExist, setDefaultAuthenticationPlugin, setDefaultFetchSize, setDetectServerPreparedStmts, setDisabledAuthenticationPlugins, setDisconnectOnExpiredPasswords, setDontTrackOpenResources, setDumpMetadataOnColumnNotFound, setDumpQueriesOnException, setDynamicCalendars, setElideSetAutoCommits, setEmptyStringsConvertToZero, setEmulateLocators, setEmulateUnsupportedPstmts, setEnablePacketDebug, setEnableQueryTimeouts, setEncoding, setExceptionInterceptors, setExplainSlowQueries, setFailOverReadOnly, setFunctionsNeverReturnBlobs, setGatherPerfMetrics, setGatherPerformanceMetrics, setGenerateSimpleParameterMetadata, setGetProceduresReturnsFunctions, setHoldResultsOpenOverStatementClose, setIgnoreNonTxTables, setIncludeInnodbStatusInDeadlockExceptions, setIncludeThreadDumpInDeadlockExceptions, setIncludeThreadNamesAsStatementComment, setInitialTimeout, setInteractiveClient, setIsInteractiveClient, setJdbcCompliantTruncation, setJdbcCompliantTruncationForReads, setLargeRowSizeThreshold, setLoadBalanceAutoCommitStatementRegex, setLoadBalanceAutoCommitStatementThreshold, setLoadBalanceBlacklistTimeout, setLoadBalanceConnectionGroup, setLoadBalanceEnableJMX, setLoadBalanceExceptionChecker, setLoadBalancePingTimeout, setLoadBalanceSQLExceptionSubclassFailover, setLoadBalanceSQLStateFailover, setLoadBalanceStrategy, setLoadBalanceValidateConnectionOnSwapServer, setLocalSocketAddress, setLocatorFetchBufferSize, setLogger, setLoggerClassName, setLogSlowQueries, setLogXaCommands, setMaintainTimeStats, setMaxQuerySizeToLog, setMaxReconnects, setMaxRows, setMetadataCacheSize, setNetTimeoutForStreamingResults, setNoAccessToProcedureBodies, setNoDatetimeStringSync, setNoTimezoneConversionForTimeType, setNullCatalogMeansCurrent, setNullNamePatternMatchesAll, setOverrideSupportsIntegrityEnhancementFacility, setPacketDebugBufferSize, setPadCharsWithSpace, setParanoid, setParseInfoCacheFactory, setPasswordCharacterEncoding, setPedantic, setPinGlobalTxToPhysicalConnection, setPopulateInsertRowWithDefaultValues, setPreparedStatementCacheSize, setPreparedStatementCacheSqlLimit, setPrepStmtCacheSize, setPrepStmtCacheSqlLimit, setProcessEscapeCodesForPrepStmts, setProfilerEventHandler, setProfileSql, setProfileSQL, setPropertiesTransform, setQueriesBeforeRetryMaster, setQueryTimeoutKillsConnection, setReconnectAtTxEnd, setRelaxAutoCommit, setReportMetricsIntervalMillis, setRequireSSL, setResourceId, setResultSetSizeThreshold, setRetainStatementAfterResultSetClose, setRetriesAllDown, setRewriteBatchedStatements, setRollbackOnPooledClose, setRoundRobinLoadBalance, setRunningCTS13, setSecondsBeforeRetryMaster, setSelfDestructOnPingMaxOperations, setSelfDestructOnPingSecondsLifetime, setServerConfigCacheFactory, setServerTimezone, setSessionVariables, setSlowQueryThresholdMillis, setSlowQueryThresholdNanos, setSocketFactory, setSocketFactoryClassName, setSocketTimeout, setStatementInterceptors, setStrictFloatingPoint, setStrictUpdates, setTcpKeepAlive, setTcpNoDelay, setTcpRcvBuf, setTcpSndBuf, setTcpTrafficClass, setTinyInt1isBit, setTraceProtocol, setTransformedBitIsBoolean, setTreatUtilDateAsTimestamp, setTrustCertificateKeyStorePassword, setTrustCertificateKeyStoreType, setTrustCertificateKeyStoreUrl, setUltraDevHack, setUseAffectedRows, setUseBlobToStoreUTF8OutsideBMP, setUseColumnNamesInFindColumn, setUseCompression, setUseConfigs, setUseCursorFetch, setUseDirectRowUnpack, setUseDynamicCharsetInfo, setUseFastDateParsing, setUseFastIntParsing, setUseGmtMillisForDatetimes, setUseHostsInPrivileges, setUseInformationSchema, setUseJDBCCompliantTimezoneShift, setUseJvmCharsetConverters, setUseLegacyDatetimeCode, setUseLocalSessionState, setUseLocalTransactionState, setUseNanosForElapsedTime, setUseOldAliasMetadataBehavior, setUseOldUTF8Behavior, setUseOnlyServerErrorMessages, setUseReadAheadInput, setUseServerPreparedStmts, setUseServerPrepStmts, setUseSqlStateCodes, setUseSSL, setUseSSPSCompatibleTimezoneShift, setUseStreamLengthsInPrepStmts, setUseTimezone, setUseUltraDevWorkAround, setUseUnbufferedInput, setUseUnicode, setUseUsageAdvisor, setUtf8OutsideBmpExcludedColumnNamePattern, setUtf8OutsideBmpIncludedColumnNamePattern, setVerifyServerCertificate, setYearIsDateType, setZeroDateTimeBehavior, useUnbufferedInput`

### Method Detail

#### isProxySet

    boolean isProxySet()

#### createNewIO

    void createNewIO(boolean isForReconnect)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### dumpTestcaseQuery

    void dumpTestcaseQuery(java.lang.String query)

#### duplicate

    Connection duplicate()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### execSQL

    ResultSetInternalMethods execSQL(StatementImpl callingStatement,
                                   java.lang.String sql,
                                   int maxRows,
                                   Buffer packet,
                                   int resultSetType,
                                   int resultSetConcurrency,
                                   boolean streamResults,
                                   java.lang.String catalog,
                                   Field[] cachedMetadata)
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### execSQL

    ResultSetInternalMethods execSQL(StatementImpl callingStatement,
                                   java.lang.String sql,
                                   int maxRows,
                                   Buffer packet,
                                   int resultSetType,
                                   int resultSetConcurrency,
                                   boolean streamResults,
                                   java.lang.String catalog,
                                   Field[] cachedMetadata,
                                   boolean isBatch)
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### extractSqlFromPacket

    java.lang.String extractSqlFromPacket(java.lang.String possibleSqlQuery,
                                        Buffer queryPacket,
                                        int endOfQueryPacketPosition)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### generateConnectionCommentBlock

    java.lang.StringBuffer generateConnectionCommentBlock(java.lang.StringBuffer buf)

#### getActiveStatementCount

    int getActiveStatementCount()

Description copied from interface: `Connection`
Returns the number of statements active on this connection, which haven't been .close()d.

#### getAutoIncrementIncrement

    int getAutoIncrementIncrement()

Description copied from interface: `Connection`
Returns the -session- value of 'auto_increment_increment' from the server if it exists, or '1' if not.

#### getCachedMetaData

    CachedResultSetMetaData getCachedMetaData(java.lang.String sql)

#### getCalendarInstanceForSessionOrNew

    java.util.Calendar getCalendarInstanceForSessionOrNew()

#### getCancelTimer

    java.util.Timer getCancelTimer()

#### getCharacterSetMetadata

    java.lang.String getCharacterSetMetadata()

#### getCharsetConverter

    SingleByteCharsetConverter getCharsetConverter(java.lang.String javaEncodingName)
                                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCharsetNameForIndex

    java.lang.String getCharsetNameForIndex(int charsetIndex)
                                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDefaultTimeZone

    java.util.TimeZone getDefaultTimeZone()

#### getErrorMessageEncoding

    java.lang.String getErrorMessageEncoding()

#### getExceptionInterceptor

    ExceptionInterceptor getExceptionInterceptor()

Specified by:
  `getExceptionInterceptor` in interface `ConnectionProperties`

#### getHost

    java.lang.String getHost()

#### getId

    long getId()

#### getIdleFor

    long getIdleFor()

Description copied from interface: `Connection`
Reports how long this connection has been idle. This time (reported in milliseconds) is updated once a query has completed.

Returns:
  number of ms that this connection has been idle, 0 if the driver is busy retrieving results.

#### getIO

    MysqlIO getIO()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLog

    com.mysql.jdbc.log.Log getLog()
                                  throws java.sql.SQLException

Description copied from interface: `Connection`
Returns the log mechanism that should be used to log information from/for this Connection.

Returns:
  the Log instance to use for logging messages.
Throws:
  `java.sql.SQLException` - if an error occurs

#### getMaxBytesPerChar

    int getMaxBytesPerChar(java.lang.String javaCharsetName)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMaxBytesPerChar

    int getMaxBytesPerChar(java.lang.Integer charsetIndex,
                         java.lang.String javaCharsetName)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMetadataSafeStatement

    java.sql.Statement getMetadataSafeStatement()
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNetBufferLength

    int getNetBufferLength()

#### getProperties

    java.util.Properties getProperties()

Description copied from interface: `Connection`
Returns the parsed and passed in properties for this connection.

Returns:

#### getRequiresEscapingEncoder

    boolean getRequiresEscapingEncoder()

#### getServerCharacterEncoding

    java.lang.String getServerCharacterEncoding()

Description copied from interface: `Connection`
Returns the server's character set

Returns:
  the server's character set.

#### getServerMajorVersion

    int getServerMajorVersion()

#### getServerMinorVersion

    int getServerMinorVersion()

#### getServerSubMinorVersion

    int getServerSubMinorVersion()

#### getServerTimezoneTZ

    java.util.TimeZone getServerTimezoneTZ()

Description copied from interface: `Connection`
Returns the TimeZone that represents the configured timezone for the server.

#### getServerVariable

    java.lang.String getServerVariable(java.lang.String variableName)

#### getServerVersion

    java.lang.String getServerVersion()

#### getSessionLockedCalendar

    java.util.Calendar getSessionLockedCalendar()

#### getStatementComment

    java.lang.String getStatementComment()

Description copied from interface: `Connection`
Returns the comment that will be prepended to all statements sent to the server.

Returns:
  the comment that will be prepended to all statements sent to the server.

#### getStatementInterceptorsInstances

    java.util.List<StatementInterceptorV2> getStatementInterceptorsInstances()

#### getURL

    java.lang.String getURL()

#### getUser

    java.lang.String getUser()

#### getUtcCalendar

    java.util.Calendar getUtcCalendar()

#### incrementNumberOfPreparedExecutes

    void incrementNumberOfPreparedExecutes()

#### incrementNumberOfPrepares

    void incrementNumberOfPrepares()

#### incrementNumberOfResultSetsCreated

    void incrementNumberOfResultSetsCreated()

#### initializeResultsMetadataFromCache

    void initializeResultsMetadataFromCache(java.lang.String sql,
                                          CachedResultSetMetaData cachedMetaData,
                                          ResultSetInternalMethods resultSet)
                                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### initializeSafeStatementInterceptors

    void initializeSafeStatementInterceptors()
                                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isAbonormallyLongQuery

    boolean isAbonormallyLongQuery(long millisOrNanos)

#### isClientTzUTC

    boolean isClientTzUTC()

#### isCursorFetchEnabled

    boolean isCursorFetchEnabled()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isReadInfoMsgEnabled

    boolean isReadInfoMsgEnabled()

#### isReadOnly

    boolean isReadOnly()
                       throws java.sql.SQLException

Specified by:
  `isReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isReadOnly

    boolean isReadOnly(boolean useSessionStatus)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isRunningOnJDK13

    boolean isRunningOnJDK13()

#### isServerTzUTC

    boolean isServerTzUTC()

#### lowerCaseTableNames

    boolean lowerCaseTableNames()

Description copied from interface: `Connection`
Is the server configured to use lower-case table names only?

Returns:
  true if lower_case_table_names is 'on'

#### maxRowsChanged

    void maxRowsChanged(Statement stmt)

#### pingInternal

    void pingInternal(boolean checkForClosedConnection,
                    int timeoutMillis)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### realClose

    void realClose(boolean calledExplicitly,
                 boolean issueRollback,
                 boolean skipLocalTeardown,
                 java.lang.Throwable reason)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### recachePreparedStatement

    void recachePreparedStatement(ServerPreparedStatement pstmt)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### registerQueryExecutionTime

    void registerQueryExecutionTime(long queryTimeMs)

#### registerStatement

    void registerStatement(Statement stmt)

#### reportNumberOfTablesAccessed

    void reportNumberOfTablesAccessed(int numTablesAccessed)

#### serverSupportsConvertFn

    boolean serverSupportsConvertFn()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setProxy

    void setProxy(MySQLConnection proxy)

#### setReadInfoMsgEnabled

    void setReadInfoMsgEnabled(boolean flag)

#### setReadOnlyInternal

    void setReadOnlyInternal(boolean readOnlyFlag)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### shutdownServer

    void shutdownServer()
                        throws java.sql.SQLException

Description copied from interface: `Connection`
Used by MiniAdmin to shutdown a MySQL server

Throws:
  `java.sql.SQLException` - if the command can not be issued.

#### storesLowerCaseTableName

    boolean storesLowerCaseTableName()

#### throwConnectionClosedException

    void throwConnectionClosedException()
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### transactionBegun

    void transactionBegun()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### transactionCompleted

    void transactionCompleted()
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### unregisterStatement

    void unregisterStatement(Statement stmt)

#### unSafeStatementInterceptors

    void unSafeStatementInterceptors()
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### unsetMaxRows

    void unsetMaxRows(Statement stmt)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### useAnsiQuotedIdentifiers

    boolean useAnsiQuotedIdentifiers()

#### useMaxRows

    boolean useMaxRows()

#### getConnectionAttributes

    java.lang.String getConnectionAttributes()
                                             throws java.sql.SQLException

Specified by:
  `getConnectionAttributes` in interface `ConnectionProperties`
Throws:
  `java.sql.SQLException`

#### getLoadBalanceSafeProxy

    MySQLConnection getLoadBalanceSafeProxy()